### org.jfree.layouting.renderer.process

# Class TableValidationStep.TableInfoStructure

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.TableValidationStep.TableInfoStructure`

Enclosing Class:
  TableValidationStep

`public static class TableValidationStep.TableInfoStructure`
`extends java.lang.Object`

  ## Constructor Summary

  `TableInfoStructure(TableRenderBox table)`

  ## Method Summary

  `TableColumnModel`

  `getColumnModel()`

  `int`

  `getColumns()`

  `TableRenderBox`

  `getTable()`

  `void`

  `setColumns(int columns)`

## Constructor Details

### TableInfoStructure

    public TableInfoStructure(TableRenderBox table)

## Method Details

### getColumnModel

    public TableColumnModel getColumnModel()

### getColumns

    public int getColumns()

### getTable

    public TableRenderBox getTable()

### setColumns

    public void setColumns(int columns)